### Class

# Gom Filter

#### Description

    class Gom.Filter : GObject.InitiallyUnowned
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GInitiallyUnowned
- GObject

#### Constructors

###### gom_filter_new_and

Creates a new filter that requires that both left and right filters equate to `TRUE`.

###### gom_filter_new_and_full

Creates a new filter that requires that all filters passed as arguments equate to `TRUE`.

###### gom_filter_new_and_fullv

Creates a new filter that requires that all filters passed as arguments equate to `TRUE`.

###### gom_filter_new_eq

No description available.

###### gom_filter_new_glob

No description available.

###### gom_filter_new_gt

No description available.

###### gom_filter_new_gte

No description available.

###### gom_filter_new_is_not_null

No description available.

###### gom_filter_new_is_null

No description available.

###### gom_filter_new_like

No description available.

###### gom_filter_new_lt

No description available.

###### gom_filter_new_lte

No description available.

###### gom_filter_new_neq

No description available.

###### gom_filter_new_or

Creates a new filter that requires either the left or right filters equate to `TRUE`.

###### gom_filter_new_or_full

Creates a new filter that requires either of the filters passed as arguments equate to `TRUE`.

###### gom_filter_new_or_fullv

Creates a new filter that requires either of the filters passed as arguments equate to `TRUE`.

###### gom_filter_new_sql

Creates a new `GomFilter` using the SQL and values provided.

#### Instance methods

###### gom_filter_get_sql

No description available.

###### gom_filter_get_values

Fetches the list of values that should be applied in order when building the `GomCommand`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gom.Filter:mode

No description available.

###### Gom.Filter:sql

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GomFilterClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.